/// <reference types="react" />
import AbstractMultiUpload from './components/AbstractMultiUpload';
import { FILE_UPLOAD_STATUS } from './constants';
import { IUploadFileItem, IUploadProps, INormalUploadItemProps } from './types';
import { II18nLocaleUpload } from '../i18n';
export declare class Upload extends AbstractMultiUpload<IUploadFileItem, void, INormalUploadItemProps, IUploadProps> {
    static defaultProps: Partial<IUploadProps>;
    static FILE_UPLOAD_STATUS: typeof FILE_UPLOAD_STATUS;
    protected createNewUploadFileItem(file: File): IUploadFileItem;
    protected renderTips(): JSX.Element;
    protected renderUploadList(i18n: II18nLocaleUpload): React.ReactNode;
    protected renderTrigger(i18n: II18nLocaleUpload): React.ReactNode;
    render(): JSX.Element;
}
export default Upload;
